package cn.axzo.workflow.core.converter.json;

import cn.axzo.workflow.common.model.request.bpmn.BpmnJsonNode;
import org.flowable.bpmn.model.ExclusiveGateway;
import org.flowable.bpmn.model.Process;

/**
 * 排它网关
 *
 * @author wangli
 * @since 2023/10/16 20:51
 */
public class ExclusiveGatewayJsonConverter extends AbstractBpmnJsonConverter<ExclusiveGateway> {

    @Override
    public ExclusiveGateway convertJsonToElement(BpmnJsonNode node, Process process) {
        ExclusiveGateway exclusiveGateway = new ExclusiveGateway();
        exclusiveGateway.setId(node.getId());
        exclusiveGateway.setName(node.getName());
        return exclusiveGateway;
    }


}
